Bug 182024 - valgrind output is very noisy.
valgrind output is very noisy.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ncurses (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Lichvar
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-19 04:16 EST by Dave Jones
Modified: 2015-01-04 17:25 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-27 12:03:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
ncurses-5.5-18.2.src.rpm (1.67 MB, application/x-rpm)
2006-02-23 10:15 EST, Petr Raszyk
no flags Details
mutt-1.4.2.1-6.2.1.src.rpm (2.56 MB, application/x-rpm)
2006-02-23 10:17 EST, Petr Raszyk
no flags Details
valgrind-3.1.0-1.2.src.rpm (2.94 MB, application/x-rpm)
2006-02-23 10:19 EST, Petr Raszyk
no flags Details
valgrind-mutt.out (43.16 KB, application/octet-stream)
2006-02-24 09:43 EST, Petr Raszyk
no flags Details

  None (edit)
Description Dave Jones 2006-02-19 04:16:26 EST
valgrind --error-limit=no --leak-check=yes --show-reachable=yes mutt
2>valgrind-mutt.out

valgrind-mutt.out will be filled with many instances of ..

==23073== Conditional jump or move depends on uninitialised value(s)
==23073==    at 0x392C321723: (within /usr/lib64/libncursesw.so.5.5)
==23073==    by 0x392C321C79: (within /usr/lib64/libncursesw.so.5.5)
==23073==    by 0x392C321551: _nc_scroll_optimize (in /usr/lib64/libncursesw.so.5.5)
==23073==    by 0x392C3370BF: doupdate (in /usr/lib64/libncursesw.so.5.5)
==23073==    by 0x392C32EA4B: wrefresh (in /usr/lib64/libncursesw.so.5.5)
==23073==    by 0x43A341: ??? (pager.c:1738)
==23073==    by 0x410059: ??? (commands.c:181)
==23073==    by 0x418159: ??? (curs_main.c:1070)
==23073==    by 0x42DFE0: ??? (main.c:842)
==23073==    by 0x392BA1D023: __libc_start_main (in /lib64/libc-2.3.90.so)
Comment 1 Miroslav Lichvar 2006-02-21 04:25:38 EST
It's a problem in ncurses, there is a compiler padding in cchar_t structure and
memcmp() on the struct that wasn't memset() before causes the warning.
Comment 2 Petr Raszyk 2006-02-23 10:12:39 EST
I do not see this as a bug in ncurses.

Please, can you compile/install *.src below
(all devel versions) and repeat your scenario:

  mutt
  valgrind
  ncurses

Many thanks.
Petr Raszyk
Comment 3 Petr Raszyk 2006-02-23 10:15:28 EST
Created attachment 125107 [details]
ncurses-5.5-18.2.src.rpm
Comment 4 Petr Raszyk 2006-02-23 10:17:30 EST
Created attachment 125108 [details]
mutt-1.4.2.1-6.2.1.src.rpm
Comment 5 Petr Raszyk 2006-02-23 10:19:09 EST
Created attachment 125110 [details]
valgrind-3.1.0-1.2.src.rpm
Comment 6 Dave Jones 2006-02-23 21:30:48 EST
These are the exact versions I already have installed, along with debuginfo's.
What would rebuilding them from source achieve ?
Comment 9 Petr Raszyk 2006-02-24 09:51:14 EST
I do not see this as a bug in ncurses
Comment 10 Miroslav Lichvar 2006-02-27 12:03:15 EST
It is fixed in rawhide.
Comment 11 Thomas E. Dickey 2006-03-11 14:21:40 EST
That's interesting, but the patch does not fix the problem that
I'm interested in: ncurses supposedly initializes the cchar_t's
either via static declarations or calloc's.  I see a couple of
places where NewChar() and NewChar2() are used on the stack.
Those are probably what was reported.

Note You need to log in before you can comment on or make changes to this bug.